<?php

namespace App\Http\Controllers;

use App\Models\Institucion;
use App\Models\Participante;
use Illuminate\Http\Request;

class InstitucionController extends Controller
{
    //
    public function destroy($id) {
        $model = Institucion::find($id);
        if (!$model) {
            return response()->json('Elemento no encontrado', 409);
        }
        $valid = Participante::where('institucion_id',$id)->first();
        if ($valid) {
            return response()->json('Hay participantes registrados a esta institución', 409);
        }
        $model->delete();

        $data = ['success' => 'Eliminado'];
        return response()->json($data, 200);
    }
}
